WSE · Schnittstellen
DATEV
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
DATEV
ERP API Dokumentation
Add-on erforderlich: DATEV. Die Nutzung setzt das freigeschaltete Add-on und passende Benutzerberechtigungen voraus.
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/datev/connection' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "generation": "9f472193-7598-4291-926c-6d116edc9e9b",
- "accounting_client": "string",
- "state": "string",
- "expires_at": "2019-08-24T14:15:22Z",
- "authorized_by": "string",
- "company_name": "string"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/datev/connection' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "authorization_url": "string"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/datev/connection' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/datev/document-types' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "document_types": [
- "string"
]
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/datev/configuration' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}
}Set Configuration
Authorizations:
Request Body schema: application/jsonrequired
| account_length required | integer (Account Length) [ 4 .. 8 ] | ||||||||||||
| chart required | string (Chart) ^\d{2}$ | ||||||||||||
required | Array of objects (Rules) <= 1000 items | ||||||||||||
Array (<= 1000 items)
| |||||||||||||
| fiscal_year_month | integer (Fiscal Year Month) [ 1 .. 12 ] Default: 1 | ||||||||||||
| fiscal_year_day | integer (Fiscal Year Day) [ 1 .. 28 ] Default: 1 | ||||||||||||
object (Document Types) | |||||||||||||
| |||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": 0,
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}
}Response samples
- 200
- 422
- default
{- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}
}Get Counterparty
Authorizations:
path Parameters
| customer_id required | string <uuid> (Customer Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/datev/counterparties/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "creditor_account": "string",
- "country_code": "string",
- "vat_id": "string"
}Set Counterparty
Authorizations:
path Parameters
| customer_id required | string <uuid> (Customer Id) |
Request Body schema: application/jsonrequired
| country_code required | string (Country Code) ^[A-Z]{2}$ |
Creditor Account (string) or Creditor Account (null) (Creditor Account) | |
Any of string (Creditor Account) ^[7-9]\d{4,8}$ | |
Vat Id (string) or Vat Id (null) (Vat Id) | |
Any of string (Vat Id) ^[A-Z]{2}[A-Za-z0-9]{2,13}$ | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "creditor_account": "string",
- "country_code": "string",
- "vat_id": "string"
}Response samples
- 200
- 422
- default
{- "creditor_account": "string",
- "country_code": "string",
- "vat_id": "string"
}Preview
Authorizations:
Request Body schema: application/jsonrequired
| start_date required | string <date> (Start Date) |
| end_date required | string <date> (End Date) |
| master_data_only | boolean (Master Data Only) Default: false |
| customer_ids | Array of strings <uuid> (Customer Ids) <= 1000 items [ items <uuid > ] |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "master_data_only": false,
- "customer_ids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}Response samples
- 201
- 422
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "created_at": "2019-08-24T14:15:22Z",
- "state": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "config_snapshot": {
- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}, - "consultant_number": "string",
- "client_number": "string"
}, - "documents": [
- { }
], - "artifacts": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "filename": "string",
- "kind": "string",
- "state": "string",
- "error_code": "string",
- "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52",
- "error": {
- "title": "string",
- "detail": "string",
- "help_url": "string",
- "affected_elements": [
- {
- "name": "string",
- "reason": "string"
}
]
}
}
], - "approved_by": "string",
- "error_code": "string"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/datev/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "created_at": "2019-08-24T14:15:22Z",
- "state": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "config_snapshot": {
- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}, - "consultant_number": "string",
- "client_number": "string"
}, - "documents": [
- { }
], - "artifacts": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "filename": "string",
- "kind": "string",
- "state": "string",
- "error_code": "string",
- "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52",
- "error": {
- "title": "string",
- "detail": "string",
- "help_url": "string",
- "affected_elements": [
- {
- "name": "string",
- "reason": "string"
}
]
}
}
], - "approved_by": "string",
- "error_code": "string"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/datev/runs' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "created_at": "2019-08-24T14:15:22Z",
- "state": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "config_snapshot": {
- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}, - "consultant_number": "string",
- "client_number": "string"
}, - "documents": [
- { }
], - "artifacts": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "filename": "string",
- "kind": "string",
- "state": "string",
- "error_code": "string",
- "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52",
- "error": {
- "title": "string",
- "detail": "string",
- "help_url": "string",
- "affected_elements": [
- {
- "name": "string",
- "reason": "string"
}
]
}
}
], - "approved_by": "string",
- "error_code": "string"
}
]Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/datev/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "created_at": "2019-08-24T14:15:22Z",
- "state": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "config_snapshot": {
- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}, - "consultant_number": "string",
- "client_number": "string"
}, - "documents": [
- { }
], - "artifacts": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "filename": "string",
- "kind": "string",
- "state": "string",
- "error_code": "string",
- "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52",
- "error": {
- "title": "string",
- "detail": "string",
- "help_url": "string",
- "affected_elements": [
- {
- "name": "string",
- "reason": "string"
}
]
}
}
], - "approved_by": "string",
- "error_code": "string"
}Download
Authorizations:
path Parameters
| run_id required | string <uuid> (Run Id) |
| artifact_id required | string <uuid> (Artifact Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/datev/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ --header 'Accept: application/pdf' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Resend
Authorizations:
path Parameters
| run_id required | string <uuid> (Run Id) |
| artifact_id required | string <uuid> (Artifact Id) |
Request Body schema: application/jsonrequired
| reason required | string (Reason) [ 10 .. 500 ] characters |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "reason": "stringstri"
}Response samples
- 200
- 422
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "created_at": "2019-08-24T14:15:22Z",
- "state": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "config_snapshot": {
- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}, - "consultant_number": "string",
- "client_number": "string"
}, - "documents": [
- { }
], - "artifacts": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "filename": "string",
- "kind": "string",
- "state": "string",
- "error_code": "string",
- "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52",
- "error": {
- "title": "string",
- "detail": "string",
- "help_url": "string",
- "affected_elements": [
- {
- "name": "string",
- "reason": "string"
}
]
}
}
], - "approved_by": "string",
- "error_code": "string"
}Reconcile
Authorizations:
path Parameters
| run_id required | string <uuid> (Run Id) |
| artifact_id required | string <uuid> (Artifact Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/datev/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/reconcile' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "created_at": "2019-08-24T14:15:22Z",
- "state": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "config_snapshot": {
- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}, - "consultant_number": "string",
- "client_number": "string"
}, - "documents": [
- { }
], - "artifacts": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "filename": "string",
- "kind": "string",
- "state": "string",
- "error_code": "string",
- "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52",
- "error": {
- "title": "string",
- "detail": "string",
- "help_url": "string",
- "affected_elements": [
- {
- "name": "string",
- "reason": "string"
}
]
}
}
], - "approved_by": "string",
- "error_code": "string"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/datev/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/resume' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "created_at": "2019-08-24T14:15:22Z",
- "state": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "config_snapshot": {
- "account_length": 4,
- "fiscal_year_month": 1,
- "fiscal_year_day": 1,
- "chart": "string",
- "rules": [
- {
- "document_kind": "invoice",
- "source_account": "string",
- "tax_rate": "string",
- "target_account": "string",
- "tax_key": "string",
- "automatic_tax_account": false
}
], - "document_types": {
- "property1": "string",
- "property2": "string"
}, - "consultant_number": "string",
- "client_number": "string"
}, - "documents": [
- { }
], - "artifacts": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "filename": "string",
- "kind": "string",
- "state": "string",
- "error_code": "string",
- "operation_id": "cb4ede3c-a5d1-45e3-a9d2-fe83accbce52",
- "error": {
- "title": "string",
- "detail": "string",
- "help_url": "string",
- "affected_elements": [
- {
- "name": "string",
- "reason": "string"
}
]
}
}
], - "approved_by": "string",
- "error_code": "string"
}